Setup.exe -s -SMS -f2c:\windows\temp\Touchpad_Synaptics.log

find /i "-MS" C:\Windows\AsHDIVer.txt
if %ERRORLEVEL%==0 goto DisableFun
goto End

:DisableFun
rem 32bit
if exist c:\preload (
copy /y Disable3Fun.exe C:\Preload
echo call C:\Preload\Disable3Fun.exe >> c:\preload\patch\AsDCDInst.cmd
)
rem 64bit
if exist c:\preload64 (
copy /y Disable3Fun.exe C:\Preload64
echo call C:\Preload64\Disable3Fun.exe >> c:\preload64\patch\AsDCDInst.cmd
)

goto End

:End

